PaWasapiStreamPassthrough Struct Reference

`#include <pa_win_wasapi.h>`

## Data Fields

PaWasapiPassthroughFormat | formatId
unsigned int | encodedSamplesPerSec
unsigned int | encodedChannelCount
unsigned int | averageBytesPerSec

## Detailed Description

Passthrough details.

Passthrough details provide direct link to the additional members in WAVEFORMATEXTENSIBLE_IEC61937. Passthrough mode allows to pass encoded data inside the PCM containers to the audio device.

Detailed description about supported formats and examples are provided in Microsoft documentation "Representing Formats for IEC 61937 Transmissions".

See also
  paWinWasapiPassthrough

Version
  Available as of 19.8.0

Definition at line 356 of file pa_win_wasapi.h.

## Field Documentation

## averageBytesPerSec

unsigned int PaWasapiStreamPassthrough::averageBytesPerSec

Definition at line 361 of file pa_win_wasapi.h.

## encodedChannelCount

unsigned int PaWasapiStreamPassthrough::encodedChannelCount

Definition at line 360 of file pa_win_wasapi.h.

## encodedSamplesPerSec

unsigned int PaWasapiStreamPassthrough::encodedSamplesPerSec

Definition at line 359 of file pa_win_wasapi.h.

## formatId

PaWasapiPassthroughFormat PaWasapiStreamPassthrough::formatId

Definition at line 358 of file pa_win_wasapi.h.

The documentation for this struct was generated from the following file:

- pa_win_wasapi.h